#### PyKDE - Python Bindings for KDE

# class KArchiveEntry |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KArchiveEntry
Inherits |

### methods

- KArchiveEntry (archive, name, access, date, user, group, symlink)

  returns a KArchiveEntry instance
  Argument | Type | Default
  --- | --- | ---
  archive | KArchive |
  name | TQString |
  access | int |
  date | int |
  user | TQString |
  group | TQString |
  symlink | TQString |

- archive ()

  returns (KArchive)

- date ()

  returns (int)

- datetime ()

  returns (TQDateTime)

- group ()

  returns (TQString)

- isDirectory ()

  returns (bool)

- isFile ()

  returns (bool)

- name ()

  returns (TQString)

- permissions ()

  returns (mode_t)

- symlink ()

  returns (TQString)

- user ()

  returns (TQString)